Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osg::GL2Extensions Class Reference

Inheritance diagram for osg::GL2Extensions:

[legend]
List of all members.

## Public Member Functions
| GL2Extensions (unsigned int contextID)
| GL2Extensions (const GL2Extensions &rhs)
void | lowestCommonDenominator (const GL2Extensions &rhs)
void | setupGL2Extensions (unsigned int contextID)
bool | isGlslSupported () const
| Does the GL driver support OpenGL Shading Language?
float | getGlVersion () const
float | getLanguageVersion () const
void | setShaderObjectsSupported (bool flag)
bool | isShaderObjectsSupported () const
void | setVertexShaderSupported (bool flag)
bool | isVertexShaderSupported () const
void | setFragmentShaderSupported (bool flag)
bool | isFragmentShaderSupported () const
void | setLanguage100Supported (bool flag)
bool | isLanguage100Supported () const
void | glBlendEquationSeparate (GLenum modeRGB, GLenum modeAlpha) const
void | glDrawBuffers (GLsizei n, const GLenum *bufs) const
void | glStencilOpSeparate (GLenum face, GLenum sfail, GLenum dpfail, GLenum dppass) const
void | glStencilFuncSeparate (GLenum frontfunc, GLenum backfunc, GLint ref, GLuint mask) const
void | glStencilMaskSeparate (GLenum face, GLuint mask) const
void | glAttachShader (GLuint program, GLuint shader) const
void | glBindAttribLocation (GLuint program, GLuint index, const GLchar *name) const
void | glCompileShader (GLuint shader) const
GLuint | glCreateProgram (void) const
GLuint | glCreateShader (GLenum type) const
void | glDeleteProgram (GLuint program) const
void | glDeleteShader (GLuint shader) const
void | glDetachShader (GLuint program, GLuint shader) const
void | glDisableVertexAttribArray (GLuint index) const
void | glEnableVertexAttribArray (GLuint index) const
void | glGetActiveAttrib (GLuint program, GLuint index, GLsizei bufSize, GLsizei *length, GLint *size, GLenum *type, GLchar *name) const
void | glGetActiveUniform (GLuint program, GLuint index, GLsizei bufSize, GLsizei *length, GLint *size, GLenum *type, GLchar *name) const
void | glGetAttachedShaders (GLuint program, GLsizei maxCount, GLsizei *count, GLuint *obj) const
GLint | glGetAttribLocation (GLuint program, const GLchar *name) const
void | glGetProgramiv (GLuint program, GLenum pname, GLint *params) const
void | glGetProgramInfoLog (GLuint program, GLsizei bufSize, GLsizei *length, GLchar *infoLog) const
void | glGetShaderiv (GLuint shader, GLenum pname, GLint *params) const
void | glGetShaderInfoLog (GLuint shader, GLsizei bufSize, GLsizei *length, GLchar *infoLog) const
void | glGetShaderSource (GLuint shader, GLsizei bufSize, GLsizei *length, GLchar *source) const
GLint | glGetUniformLocation (GLuint program, const GLchar *name) const
void | glGetUniformfv (GLuint program, GLint location, GLfloat *params) const
void | glGetUniformiv (GLuint program, GLint location, GLint *params) const
void | glGetVertexAttribdv (GLuint index, GLenum pname, GLdouble *params) const
void | glGetVertexAttribfv (GLuint index, GLenum pname, GLfloat *params) const
void | glGetVertexAttribiv (GLuint index, GLenum pname, GLint *params) const
void | glGetVertexAttribPointerv (GLuint index, GLenum pname, GLvoid **pointer) const
GLboolean | glIsProgram (GLuint program) const
GLboolean | glIsShader (GLuint shader) const
void | glLinkProgram (GLuint program) const
void | glShaderSource (GLuint shader, GLsizei count, const GLchar **string, const GLint *length) const
void | glUseProgram (GLuint program) const
void | glUniform1f (GLint location, GLfloat v0) const
void | glUniform2f (GLint location, GLfloat v0, GLfloat v1) const
void | glUniform3f (GLint location, GLfloat v0, GLfloat v1, GLfloat v2) const
void | glUniform4f (GLint location, GLfloat v0, GLfloat v1, GLfloat v2, GLfloat v3) const
void | glUniform1i (GLint location, GLint v0) const
void | glUniform2i (GLint location, GLint v0, GLint v1) const
void | glUniform3i (GLint location, GLint v0, GLint v1, GLint v2) const
void | glUniform4i (GLint location, GLint v0, GLint v1, GLint v2, GLint v3) const
void | glUniform1fv (GLint location, GLsizei count, const GLfloat *value) const
void | glUniform2fv (GLint location, GLsizei count, const GLfloat *value) const
void | glUniform3fv (GLint location, GLsizei count, const GLfloat *value) const
void | glUniform4fv (GLint location, GLsizei count, const GLfloat *value) const
void | glUniform1iv (GLint location, GLsizei count, const GLint *value) const
void | glUniform2iv (GLint location, GLsizei count, const GLint *value) const
void | glUniform3iv (GLint location, GLsizei count, const GLint *value) const
void | glUniform4iv (GLint location, GLsizei count, const GLint *value) const
void | glUniformMatrix2fv (GLint location, GLsizei count, GLboolean transpose, const GLfloat *value) const
void | glUniformMatrix3fv (GLint location, GLsizei count, GLboolean transpose, const GLfloat *value) const
void | glUniformMatrix4fv (GLint location, GLsizei count, GLboolean transpose, const GLfloat *value) const
void | glValidateProgram (GLuint program) const
void | glVertexAttrib1d (GLuint index, GLdouble x) const
void | glVertexAttrib1dv (GLuint index, const GLdouble *v) const
void | glVertexAttrib1f (GLuint index, GLfloat x) const
void | glVertexAttrib1fv (GLuint index, const GLfloat *v) const
void | glVertexAttrib1s (GLuint index, GLshort x) const
void | glVertexAttrib1sv (GLuint index, const GLshort *v) const
void | glVertexAttrib2d (GLuint index, GLdouble x, GLdouble y) const
void | glVertexAttrib2dv (GLuint index, const GLdouble *v) const
void | glVertexAttrib2f (GLuint index, GLfloat x, GLfloat y) const
void | glVertexAttrib2fv (GLuint index, const GLfloat *v) const
void | glVertexAttrib2s (GLuint index, GLshort x, GLshort y) const
void | glVertexAttrib2sv (GLuint index, const GLshort *v) const
void | glVertexAttrib3d (GLuint index, GLdouble x, GLdouble y, GLdouble z) const
void | glVertexAttrib3dv (GLuint index, const GLdouble *v) const
void | glVertexAttrib3f (GLuint index, GLfloat x, GLfloat y, GLfloat z) const
void | glVertexAttrib3fv (GLuint index, const GLfloat *v) const
void | glVertexAttrib3s (GLuint index, GLshort x, GLshort y, GLshort z) const
void | glVertexAttrib3sv (GLuint index, const GLshort *v) const
void | glVertexAttrib4Nbv (GLuint index, const GLbyte *v) const
void | glVertexAttrib4Niv (GLuint index, const GLint *v) const
void | glVertexAttrib4Nsv (GLuint index, const GLshort *v) const
void | glVertexAttrib4Nub (GLuint index, GLubyte x, GLubyte y, GLubyte z, GLubyte w) const
void | glVertexAttrib4Nubv (GLuint index, const GLubyte *v) const
void | glVertexAttrib4Nuiv (GLuint index, const GLuint *v) const
void | glVertexAttrib4Nusv (GLuint index, const GLushort *v) const
void | glVertexAttrib4bv (GLuint index, const GLbyte *v) const
void | glVertexAttrib4d (GLuint index, GLdouble x, GLdouble y, GLdouble z, GLdouble w) const
void | glVertexAttrib4dv (GLuint index, const GLdouble *v) const
void | glVertexAttrib4f (GLuint index, GLfloat x, GLfloat y, GLfloat z, GLfloat w) const
void | glVertexAttrib4fv (GLuint index, const GLfloat *v) const
void | glVertexAttrib4iv (GLuint index, const GLint *v) const
void | glVertexAttrib4s (GLuint index, GLshort x, GLshort y, GLshort z, GLshort w) const
void | glVertexAttrib4sv (GLuint index, const GLshort *v) const
void | glVertexAttrib4ubv (GLuint index, const GLubyte *v) const
void | glVertexAttrib4uiv (GLuint index, const GLuint *v) const
void | glVertexAttrib4usv (GLuint index, const GLushort *v) const
void | glVertexAttribPointer (GLuint index, GLint size, GLenum type, GLboolean normalized, GLsizei stride, const GLvoid *pointer) const
GLuint | getCurrentProgram () const
bool | getProgramInfoLog (GLuint program, std::string &result) const
bool | getShaderInfoLog (GLuint shader, std::string &result) const
bool | getAttribLocation (const char *attribName, GLuint &slot) const
## Static Public Member Functions
GL2Extensions * | Get (unsigned int contextID, bool createIfNotInitalized)
| Function to call to get the extension of a specified context.
void | Set (unsigned int contextID, GL2Extensions *extensions)
| allows users to override the extensions across graphics contexts.
## Protected Member Functions
| ~GL2Extensions ()
## Protected Attributes
float | _glVersion
float | _glslLanguageVersion
bool | _isShaderObjectsSupported
bool | _isVertexShaderSupported
bool | _isFragmentShaderSupported
bool | _isLanguage100Supported
void * | _glBlendEquationSeparate
void * | _glDrawBuffers
void * | _glStencilOpSeparate
void * | _glStencilFuncSeparate
void * | _glStencilMaskSeparate
void * | _glAttachShader
void * | _glBindAttribLocation
void * | _glCompileShader
void * | _glCreateProgram
void * | _glCreateShader
void * | _glDeleteProgram
void * | _glDeleteShader
void * | _glDetachShader
void * | _glDisableVertexAttribArray
void * | _glEnableVertexAttribArray
void * | _glGetActiveAttrib
void * | _glGetActiveUniform
void * | _glGetAttachedShaders
void * | _glGetAttribLocation
void * | _glGetProgramiv
void * | _glGetProgramInfoLog
void * | _glGetShaderiv
void * | _glGetShaderInfoLog
void * | _glGetShaderSource
void * | _glGetUniformLocation
void * | _glGetUniformfv
void * | _glGetUniformiv
void * | _glGetVertexAttribdv
void * | _glGetVertexAttribfv
void * | _glGetVertexAttribiv
void * | _glGetVertexAttribPointerv
void * | _glIsProgram
void * | _glIsShader
void * | _glLinkProgram
void * | _glShaderSource
void * | _glUseProgram
void * | _glUniform1f
void * | _glUniform2f
void * | _glUniform3f
void * | _glUniform4f
void * | _glUniform1i
void * | _glUniform2i
void * | _glUniform3i
void * | _glUniform4i
void * | _glUniform1fv
void * | _glUniform2fv
void * | _glUniform3fv
void * | _glUniform4fv
void * | _glUniform1iv
void * | _glUniform2iv
void * | _glUniform3iv
void * | _glUniform4iv
void * | _glUniformMatrix2fv
void * | _glUniformMatrix3fv
void * | _glUniformMatrix4fv
void * | _glValidateProgram
void * | _glVertexAttrib1d
void * | _glVertexAttrib1dv
void * | _glVertexAttrib1f
void * | _glVertexAttrib1fv
void * | _glVertexAttrib1s
void * | _glVertexAttrib1sv
void * | _glVertexAttrib2d
void * | _glVertexAttrib2dv
void * | _glVertexAttrib2f
void * | _glVertexAttrib2fv
void * | _glVertexAttrib2s
void * | _glVertexAttrib2sv
void * | _glVertexAttrib3d
void * | _glVertexAttrib3dv
void * | _glVertexAttrib3f
void * | _glVertexAttrib3fv
void * | _glVertexAttrib3s
void * | _glVertexAttrib3sv
void * | _glVertexAttrib4Nbv
void * | _glVertexAttrib4Niv
void * | _glVertexAttrib4Nsv
void * | _glVertexAttrib4Nub
void * | _glVertexAttrib4Nubv
void * | _glVertexAttrib4Nuiv
void * | _glVertexAttrib4Nusv
void * | _glVertexAttrib4bv
void * | _glVertexAttrib4d
void * | _glVertexAttrib4dv
void * | _glVertexAttrib4f
void * | _glVertexAttrib4fv
void * | _glVertexAttrib4iv
void * | _glVertexAttrib4s
void * | _glVertexAttrib4sv
void * | _glVertexAttrib4ubv
void * | _glVertexAttrib4uiv
void * | _glVertexAttrib4usv
void * | _glVertexAttribPointer
void * | _glGetInfoLogARB
void * | _glGetObjectParameterivARB
void * | _glDeleteObjectARB
void * | _glGetHandleARB

## Constructor & Destructor Documentation

osg::GL2Extensions::GL2Extensions | ( | unsigned int | contextID | ) |

osg::GL2Extensions::GL2Extensions | ( | const GL2Extensions & | rhs | ) |

osg::GL2Extensions::~GL2Extensions | ( |  | ) | `[inline, protected]`

## Member Function Documentation

GL2Extensions* osg::GL2Extensions::Get | ( | unsigned int | contextID,
|  | bool | createIfNotInitalized
| ) | `[static]`

| Function to call to get the extension of a specified context. If the Exentsion object for that context has not yet been created then and the 'createIfNotInitalized' flag been set to false then returns NULL. If 'createIfNotInitalized' is true then the Extensions object is automatically created. However, in this case the extension object only be created with the graphics context associated with ContextID..

bool osg::GL2Extensions::getAttribLocation | ( | const char * | attribName,
|  | GLuint & | slot
| ) | const

GLuint osg::GL2Extensions::getCurrentProgram | ( |  | ) | const

float osg::GL2Extensions::getGlVersion | ( |  | ) | const`[inline]`

float osg::GL2Extensions::getLanguageVersion | ( |  | ) | const`[inline]`

bool osg::GL2Extensions::getProgramInfoLog | ( | GLuint | program,
|  | std::string & | result
| ) | const

bool osg::GL2Extensions::getShaderInfoLog | ( | GLuint | shader,
|  | std::string & | result
| ) | const

void osg::GL2Extensions::glAttachShader | ( | GLuint | program,
|  | GLuint | shader
| ) | const

void osg::GL2Extensions::glBindAttribLocation | ( | GLuint | program,
|  | GLuint | index,
|  | const GLchar * | name
| ) | const

void osg::GL2Extensions::glBlendEquationSeparate | ( | GLenum | modeRGB,
|  | GLenum | modeAlpha
| ) | const

void osg::GL2Extensions::glCompileShader | ( | GLuint | shader | ) | const

GLuint osg::GL2Extensions::glCreateProgram | ( | void |  | ) | const

GLuint osg::GL2Extensions::glCreateShader | ( | GLenum | type | ) | const

void osg::GL2Extensions::glDeleteProgram | ( | GLuint | program | ) | const

void osg::GL2Extensions::glDeleteShader | ( | GLuint | shader | ) | const

void osg::GL2Extensions::glDetachShader | ( | GLuint | program,
|  | GLuint | shader
| ) | const

void osg::GL2Extensions::glDisableVertexAttribArray | ( | GLuint | index | ) | const

void osg::GL2Extensions::glDrawBuffers | ( | GLsizei | n,
|  | const GLenum * | bufs
| ) | const

void osg::GL2Extensions::glEnableVertexAttribArray | ( | GLuint | index | ) | const

void osg::GL2Extensions::glGetActiveAttrib | ( | GLuint | program,
|  | GLuint | index,
|  | GLsizei | bufSize,
|  | GLsizei * | length,
|  | GLint * | size,
|  | GLenum * | type,
|  | GLchar * | name
| ) | const

void osg::GL2Extensions::glGetActiveUniform | ( | GLuint | program,
|  | GLuint | index,
|  | GLsizei | bufSize,
|  | GLsizei * | length,
|  | GLint * | size,
|  | GLenum * | type,
|  | GLchar * | name
| ) | const

void osg::GL2Extensions::glGetAttachedShaders | ( | GLuint | program,
|  | GLsizei | maxCount,
|  | GLsizei * | count,
|  | GLuint * | obj
| ) | const

GLint osg::GL2Extensions::glGetAttribLocation | ( | GLuint | program,
|  | const GLchar * | name
| ) | const

void osg::GL2Extensions::glGetProgramInfoLog | ( | GLuint | program,
|  | GLsizei | bufSize,
|  | GLsizei * | length,
|  | GLchar * | infoLog
| ) | const

void osg::GL2Extensions::glGetProgramiv | ( | GLuint | program,
|  | GLenum | pname,
|  | GLint * | params
| ) | const

void osg::GL2Extensions::glGetShaderInfoLog | ( | GLuint | shader,
|  | GLsizei | bufSize,
|  | GLsizei * | length,
|  | GLchar * | infoLog
| ) | const

void osg::GL2Extensions::glGetShaderiv | ( | GLuint | shader,
|  | GLenum | pname,
|  | GLint * | params
| ) | const

void osg::GL2Extensions::glGetShaderSource | ( | GLuint | shader,
|  | GLsizei | bufSize,
|  | GLsizei * | length,
|  | GLchar * | source
| ) | const

void osg::GL2Extensions::glGetUniformfv | ( | GLuint | program,
|  | GLint | location,
|  | GLfloat * | params
| ) | const

void osg::GL2Extensions::glGetUniformiv | ( | GLuint | program,
|  | GLint | location,
|  | GLint * | params
| ) | const

GLint osg::GL2Extensions::glGetUniformLocation | ( | GLuint | program,
|  | const GLchar * | name
| ) | const

void osg::GL2Extensions::glGetVertexAttribdv | ( | GLuint | index,
|  | GLenum | pname,
|  | GLdouble * | params
| ) | const

void osg::GL2Extensions::glGetVertexAttribfv | ( | GLuint | index,
|  | GLenum | pname,
|  | GLfloat * | params
| ) | const

void osg::GL2Extensions::glGetVertexAttribiv | ( | GLuint | index,
|  | GLenum | pname,
|  | GLint * | params
| ) | const

void osg::GL2Extensions::glGetVertexAttribPointerv | ( | GLuint | index,
|  | GLenum | pname,
|  | GLvoid ** | pointer
| ) | const

GLboolean osg::GL2Extensions::glIsProgram | ( | GLuint | program | ) | const

GLboolean osg::GL2Extensions::glIsShader | ( | GLuint | shader | ) | const

void osg::GL2Extensions::glLinkProgram | ( | GLuint | program | ) | const

void osg::GL2Extensions::glShaderSource | ( | GLuint | shader,
|  | GLsizei | count,
|  | const GLchar ** | string,
|  | const GLint * | length
| ) | const

void osg::GL2Extensions::glStencilFuncSeparate | ( | GLenum | frontfunc,
|  | GLenum | backfunc,
|  | GLint | ref,
|  | GLuint | mask
| ) | const

void osg::GL2Extensions::glStencilMaskSeparate | ( | GLenum | face,
|  | GLuint | mask
| ) | const

void osg::GL2Extensions::glStencilOpSeparate | ( | GLenum | face,
|  | GLenum | sfail,
|  | GLenum | dpfail,
|  | GLenum | dppass
| ) | const

void osg::GL2Extensions::glUniform1f | ( | GLint | location,
|  | GLfloat | v0
| ) | const

void osg::GL2Extensions::glUniform1fv | ( | GLint | location,
|  | GLsizei | count,
|  | const GLfloat * | value
| ) | const

void osg::GL2Extensions::glUniform1i | ( | GLint | location,
|  | GLint | v0
| ) | const

void osg::GL2Extensions::glUniform1iv | ( | GLint | location,
|  | GLsizei | count,
|  | const GLint * | value
| ) | const

void osg::GL2Extensions::glUniform2f | ( | GLint | location,
|  | GLfloat | v0,
|  | GLfloat | v1
| ) | const

void osg::GL2Extensions::glUniform2fv | ( | GLint | location,
|  | GLsizei | count,
|  | const GLfloat * | value
| ) | const

void osg::GL2Extensions::glUniform2i | ( | GLint | location,
|  | GLint | v0,
|  | GLint | v1
| ) | const

void osg::GL2Extensions::glUniform2iv | ( | GLint | location,
|  | GLsizei | count,
|  | const GLint * | value
| ) | const

void osg::GL2Extensions::glUniform3f | ( | GLint | location,
|  | GLfloat | v0,
|  | GLfloat | v1,
|  | GLfloat | v2
| ) | const

void osg::GL2Extensions::glUniform3fv | ( | GLint | location,
|  | GLsizei | count,
|  | const GLfloat * | value
| ) | const

void osg::GL2Extensions::glUniform3i | ( | GLint | location,
|  | GLint | v0,
|  | GLint | v1,
|  | GLint | v2
| ) | const

void osg::GL2Extensions::glUniform3iv | ( | GLint | location,
|  | GLsizei | count,
|  | const GLint * | value
| ) | const

void osg::GL2Extensions::glUniform4f | ( | GLint | location,
|  | GLfloat | v0,
|  | GLfloat | v1,
|  | GLfloat | v2,
|  | GLfloat | v3
| ) | const

void osg::GL2Extensions::glUniform4fv | ( | GLint | location,
|  | GLsizei | count,
|  | const GLfloat * | value
| ) | const

void osg::GL2Extensions::glUniform4i | ( | GLint | location,
|  | GLint | v0,
|  | GLint | v1,
|  | GLint | v2,
|  | GLint | v3
| ) | const

void osg::GL2Extensions::glUniform4iv | ( | GLint | location,
|  | GLsizei | count,
|  | const GLint * | value
| ) | const

void osg::GL2Extensions::glUniformMatrix2fv | ( | GLint | location,
|  | GLsizei | count,
|  | GLboolean | transpose,
|  | const GLfloat * | value
| ) | const

void osg::GL2Extensions::glUniformMatrix3fv | ( | GLint | location,
|  | GLsizei | count,
|  | GLboolean | transpose,
|  | const GLfloat * | value
| ) | const

void osg::GL2Extensions::glUniformMatrix4fv | ( | GLint | location,
|  | GLsizei | count,
|  | GLboolean | transpose,
|  | const GLfloat * | value
| ) | const

void osg::GL2Extensions::glUseProgram | ( | GLuint | program | ) | const

void osg::GL2Extensions::glValidateProgram | ( | GLuint | program | ) | const

void osg::GL2Extensions::glVertexAttrib1d | ( | GLuint | index,
|  | GLdouble | x
| ) | const

void osg::GL2Extensions::glVertexAttrib1dv | ( | GLuint | index,
|  | const GLdouble * | v
| ) | const

void osg::GL2Extensions::glVertexAttrib1f | ( | GLuint | index,
|  | GLfloat | x
| ) | const

void osg::GL2Extensions::glVertexAttrib1fv | ( | GLuint | index,
|  | const GLfloat * | v
| ) | const

void osg::GL2Extensions::glVertexAttrib1s | ( | GLuint | index,
|  | GLshort | x
| ) | const

void osg::GL2Extensions::glVertexAttrib1sv | ( | GLuint | index,
|  | const GLshort * | v
| ) | const

void osg::GL2Extensions::glVertexAttrib2d | ( | GLuint | index,
|  | GLdouble | x,
|  | GLdouble | y
| ) | const

void osg::GL2Extensions::glVertexAttrib2dv | ( | GLuint | index,
|  | const GLdouble * | v
| ) | const

void osg::GL2Extensions::glVertexAttrib2f | ( | GLuint | index,
|  | GLfloat | x,
|  | GLfloat | y
| ) | const

void osg::GL2Extensions::glVertexAttrib2fv | ( | GLuint | index,
|  | const GLfloat * | v
| ) | const

void osg::GL2Extensions::glVertexAttrib2s | ( | GLuint | index,
|  | GLshort | x,
|  | GLshort | y
| ) | const

void osg::GL2Extensions::glVertexAttrib2sv | ( | GLuint | index,
|  | const GLshort * | v
| ) | const

void osg::GL2Extensions::glVertexAttrib3d | ( | GLuint | index,
|  | GLdouble | x,
|  | GLdouble | y,
|  | GLdouble | z
| ) | const

void osg::GL2Extensions::glVertexAttrib3dv | ( | GLuint | index,
|  | const GLdouble * | v
| ) | const

void osg::GL2Extensions::glVertexAttrib3f | ( | GLuint | index,
|  | GLfloat | x,
|  | GLfloat | y,
|  | GLfloat | z
| ) | const

void osg::GL2Extensions::glVertexAttrib3fv | ( | GLuint | index,
|  | const GLfloat * | v
| ) | const

void osg::GL2Extensions::glVertexAttrib3s | ( | GLuint | index,
|  | GLshort | x,
|  | GLshort | y,
|  | GLshort | z
| ) | const

void osg::GL2Extensions::glVertexAttrib3sv | ( | GLuint | index,
|  | const GLshort * | v
| ) | const

void osg::GL2Extensions::glVertexAttrib4bv | ( | GLuint | index,
|  | const GLbyte * | v
| ) | const

void osg::GL2Extensions::glVertexAttrib4d | ( | GLuint | index,
|  | GLdouble | x,
|  | GLdouble | y,
|  | GLdouble | z,
|  | GLdouble | w
| ) | const

void osg::GL2Extensions::glVertexAttrib4dv | ( | GLuint | index,
|  | const GLdouble * | v
| ) | const

void osg::GL2Extensions::glVertexAttrib4f | ( | GLuint | index,
|  | GLfloat | x,
|  | GLfloat | y,
|  | GLfloat | z,
|  | GLfloat | w
| ) | const

void osg::GL2Extensions::glVertexAttrib4fv | ( | GLuint | index,
|  | const GLfloat * | v
| ) | const

void osg::GL2Extensions::glVertexAttrib4iv | ( | GLuint | index,
|  | const GLint * | v
| ) | const

void osg::GL2Extensions::glVertexAttrib4Nbv | ( | GLuint | index,
|  | const GLbyte * | v
| ) | const

void osg::GL2Extensions::glVertexAttrib4Niv | ( | GLuint | index,
|  | const GLint * | v
| ) | const

void osg::GL2Extensions::glVertexAttrib4Nsv | ( | GLuint | index,
|  | const GLshort * | v
| ) | const

void osg::GL2Extensions::glVertexAttrib4Nub | ( | GLuint | index,
|  | GLubyte | x,
|  | GLubyte | y,
|  | GLubyte | z,
|  | GLubyte | w
| ) | const

void osg::GL2Extensions::glVertexAttrib4Nubv | ( | GLuint | index,
|  | const GLubyte * | v
| ) | const

void osg::GL2Extensions::glVertexAttrib4Nuiv | ( | GLuint | index,
|  | const GLuint * | v
| ) | const

void osg::GL2Extensions::glVertexAttrib4Nusv | ( | GLuint | index,
|  | const GLushort * | v
| ) | const

void osg::GL2Extensions::glVertexAttrib4s | ( | GLuint | index,
|  | GLshort | x,
|  | GLshort | y,
|  | GLshort | z,
|  | GLshort | w
| ) | const

void osg::GL2Extensions::glVertexAttrib4sv | ( | GLuint | index,
|  | const GLshort * | v
| ) | const

void osg::GL2Extensions::glVertexAttrib4ubv | ( | GLuint | index,
|  | const GLubyte * | v
| ) | const

void osg::GL2Extensions::glVertexAttrib4uiv | ( | GLuint | index,
|  | const GLuint * | v
| ) | const

void osg::GL2Extensions::glVertexAttrib4usv | ( | GLuint | index,
|  | const GLushort * | v
| ) | const

void osg::GL2Extensions::glVertexAttribPointer | ( | GLuint | index,
|  | GLint | size,
|  | GLenum | type,
|  | GLboolean | normalized,
|  | GLsizei | stride,
|  | const GLvoid * | pointer
| ) | const

bool osg::GL2Extensions::isFragmentShaderSupported | ( |  | ) | const`[inline]`

bool osg::GL2Extensions::isGlslSupported | ( |  | ) | const

| Does the GL driver support OpenGL Shading Language?

bool osg::GL2Extensions::isLanguage100Supported | ( |  | ) | const`[inline]`

bool osg::GL2Extensions::isShaderObjectsSupported | ( |  | ) | const`[inline]`

bool osg::GL2Extensions::isVertexShaderSupported | ( |  | ) | const`[inline]`

void osg::GL2Extensions::lowestCommonDenominator | ( | const GL2Extensions & | rhs | ) |

void osg::GL2Extensions::Set | ( | unsigned int | contextID,
|  | GL2Extensions * | extensions
| ) | `[static]`

| allows users to override the extensions across graphics contexts. typically used when you have different extensions supported across graphics pipes but need to ensure that they all use the same low common denominator extensions.

void osg::GL2Extensions::setFragmentShaderSupported | ( | bool | flag | ) | `[inline]`

void osg::GL2Extensions::setLanguage100Supported | ( | bool | flag | ) | `[inline]`

void osg::GL2Extensions::setShaderObjectsSupported | ( | bool | flag | ) | `[inline]`

void osg::GL2Extensions::setupGL2Extensions | ( | unsigned int | contextID | ) |

void osg::GL2Extensions::setVertexShaderSupported | ( | bool | flag | ) | `[inline]`

## Member Data Documentation

void* osg::GL2Extensions::_glAttachShader`[protected]`

void* osg::GL2Extensions::_glBindAttribLocation`[protected]`

void* osg::GL2Extensions::_glBlendEquationSeparate`[protected]`

void* osg::GL2Extensions::_glCompileShader`[protected]`

void* osg::GL2Extensions::_glCreateProgram`[protected]`

void* osg::GL2Extensions::_glCreateShader`[protected]`

void* osg::GL2Extensions::_glDeleteObjectARB`[protected]`

void* osg::GL2Extensions::_glDeleteProgram`[protected]`

void* osg::GL2Extensions::_glDeleteShader`[protected]`

void* osg::GL2Extensions::_glDetachShader`[protected]`

void* osg::GL2Extensions::_glDisableVertexAttribArray`[protected]`

void* osg::GL2Extensions::_glDrawBuffers`[protected]`

void* osg::GL2Extensions::_glEnableVertexAttribArray`[protected]`

void* osg::GL2Extensions::_glGetActiveAttrib`[protected]`

void* osg::GL2Extensions::_glGetActiveUniform`[protected]`

void* osg::GL2Extensions::_glGetAttachedShaders`[protected]`

void* osg::GL2Extensions::_glGetAttribLocation`[protected]`

void* osg::GL2Extensions::_glGetHandleARB`[protected]`

void* osg::GL2Extensions::_glGetInfoLogARB`[protected]`

void* osg::GL2Extensions::_glGetObjectParameterivARB`[protected]`

void* osg::GL2Extensions::_glGetProgramInfoLog`[protected]`

void* osg::GL2Extensions::_glGetProgramiv`[protected]`

void* osg::GL2Extensions::_glGetShaderInfoLog`[protected]`

void* osg::GL2Extensions::_glGetShaderiv`[protected]`

void* osg::GL2Extensions::_glGetShaderSource`[protected]`

void* osg::GL2Extensions::_glGetUniformfv`[protected]`

void* osg::GL2Extensions::_glGetUniformiv`[protected]`

void* osg::GL2Extensions::_glGetUniformLocation`[protected]`

void* osg::GL2Extensions::_glGetVertexAttribdv`[protected]`

void* osg::GL2Extensions::_glGetVertexAttribfv`[protected]`

void* osg::GL2Extensions::_glGetVertexAttribiv`[protected]`

void* osg::GL2Extensions::_glGetVertexAttribPointerv`[protected]`

void* osg::GL2Extensions::_glIsProgram`[protected]`

void* osg::GL2Extensions::_glIsShader`[protected]`

void* osg::GL2Extensions::_glLinkProgram`[protected]`

void* osg::GL2Extensions::_glShaderSource`[protected]`

float osg::GL2Extensions::_glslLanguageVersion`[protected]`

void* osg::GL2Extensions::_glStencilFuncSeparate`[protected]`

void* osg::GL2Extensions::_glStencilMaskSeparate`[protected]`

void* osg::GL2Extensions::_glStencilOpSeparate`[protected]`

void* osg::GL2Extensions::_glUniform1f`[protected]`

void* osg::GL2Extensions::_glUniform1fv`[protected]`

void* osg::GL2Extensions::_glUniform1i`[protected]`

void* osg::GL2Extensions::_glUniform1iv`[protected]`

void* osg::GL2Extensions::_glUniform2f`[protected]`

void* osg::GL2Extensions::_glUniform2fv`[protected]`

void* osg::GL2Extensions::_glUniform2i`[protected]`

void* osg::GL2Extensions::_glUniform2iv`[protected]`

void* osg::GL2Extensions::_glUniform3f`[protected]`

void* osg::GL2Extensions::_glUniform3fv`[protected]`

void* osg::GL2Extensions::_glUniform3i`[protected]`

void* osg::GL2Extensions::_glUniform3iv`[protected]`

void* osg::GL2Extensions::_glUniform4f`[protected]`

void* osg::GL2Extensions::_glUniform4fv`[protected]`

void* osg::GL2Extensions::_glUniform4i`[protected]`

void* osg::GL2Extensions::_glUniform4iv`[protected]`

void* osg::GL2Extensions::_glUniformMatrix2fv`[protected]`

void* osg::GL2Extensions::_glUniformMatrix3fv`[protected]`

void* osg::GL2Extensions::_glUniformMatrix4fv`[protected]`

void* osg::GL2Extensions::_glUseProgram`[protected]`

void* osg::GL2Extensions::_glValidateProgram`[protected]`

float osg::GL2Extensions::_glVersion`[protected]`

void* osg::GL2Extensions::_glVertexAttrib1d`[protected]`

void* osg::GL2Extensions::_glVertexAttrib1dv`[protected]`

void* osg::GL2Extensions::_glVertexAttrib1f`[protected]`

void* osg::GL2Extensions::_glVertexAttrib1fv`[protected]`

void* osg::GL2Extensions::_glVertexAttrib1s`[protected]`

void* osg::GL2Extensions::_glVertexAttrib1sv`[protected]`

void* osg::GL2Extensions::_glVertexAttrib2d`[protected]`

void* osg::GL2Extensions::_glVertexAttrib2dv`[protected]`

void* osg::GL2Extensions::_glVertexAttrib2f`[protected]`

void* osg::GL2Extensions::_glVertexAttrib2fv`[protected]`

void* osg::GL2Extensions::_glVertexAttrib2s`[protected]`

void* osg::GL2Extensions::_glVertexAttrib2sv`[protected]`

void* osg::GL2Extensions::_glVertexAttrib3d`[protected]`

void* osg::GL2Extensions::_glVertexAttrib3dv`[protected]`

void* osg::GL2Extensions::_glVertexAttrib3f`[protected]`

void* osg::GL2Extensions::_glVertexAttrib3fv`[protected]`

void* osg::GL2Extensions::_glVertexAttrib3s`[protected]`

void* osg::GL2Extensions::_glVertexAttrib3sv`[protected]`

void* osg::GL2Extensions::_glVertexAttrib4bv`[protected]`

void* osg::GL2Extensions::_glVertexAttrib4d`[protected]`

void* osg::GL2Extensions::_glVertexAttrib4dv`[protected]`

void* osg::GL2Extensions::_glVertexAttrib4f`[protected]`

void* osg::GL2Extensions::_glVertexAttrib4fv`[protected]`

void* osg::GL2Extensions::_glVertexAttrib4iv`[protected]`

void* osg::GL2Extensions::_glVertexAttrib4Nbv`[protected]`

void* osg::GL2Extensions::_glVertexAttrib4Niv`[protected]`

void* osg::GL2Extensions::_glVertexAttrib4Nsv`[protected]`

void* osg::GL2Extensions::_glVertexAttrib4Nub`[protected]`

void* osg::GL2Extensions::_glVertexAttrib4Nubv`[protected]`

void* osg::GL2Extensions::_glVertexAttrib4Nuiv`[protected]`

void* osg::GL2Extensions::_glVertexAttrib4Nusv`[protected]`

void* osg::GL2Extensions::_glVertexAttrib4s`[protected]`

void* osg::GL2Extensions::_glVertexAttrib4sv`[protected]`

void* osg::GL2Extensions::_glVertexAttrib4ubv`[protected]`

void* osg::GL2Extensions::_glVertexAttrib4uiv`[protected]`

void* osg::GL2Extensions::_glVertexAttrib4usv`[protected]`

void* osg::GL2Extensions::_glVertexAttribPointer`[protected]`

bool osg::GL2Extensions::_isFragmentShaderSupported`[protected]`

bool osg::GL2Extensions::_isLanguage100Supported`[protected]`

bool osg::GL2Extensions::_isShaderObjectsSupported`[protected]`

bool osg::GL2Extensions::_isVertexShaderSupported`[protected]`

The documentation for this class was generated from the following file:

- GL2Extensions